<template>
  <div id="MenuDefault">
    <VideoPlayerUtils />

    <v-list expand nav class="pa-0">
      <v-list-item
        class="info_dark py-1 my-1"
        v-for="(option, index) in options_nav"
        :key="index"
        :to="localePath(option.to)"
      >
        <v-icon class="mr-2 warning_dark--text" size="23">
          {{ option.icon }}
        </v-icon>
        <span class="system_white--text family-lato-regular title-h4-sistem">
          {{ $t(option.text) }}
        </span>
      </v-list-item>
    </v-list>
  </div>
</template>
<script>
import VideoPlayerUtils from "@/components/Utils/Videos/PlayerVideosUtils.vue";

export default {
  components: { VideoPlayerUtils },

  data() {
    return {
      options_nav: [
        {
          text: "categories.about",
          icon: "mdi-information-outline",
          to: "/about",
        },
        {
          text: "categories.signs_search",
          icon: "mdi-magnify",
          to: "/search-sign",
        },
        {
          text: "categories.contact",
          icon: "mdi-email-outline",
          to: "/contact",
        },
      ],
    };
  },
};
</script>
